Game Develop Core: gd::PropgridPropertyDescriptor Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::PropgridPropertyDescriptor Class Reference

Used to describe a property shown in a property grid. More...

`#include <PropgridPropertyDescriptor.h>`

## Public Member Functions

| PropgridPropertyDescriptor (std::string propertyValue)
| Create a property being a simple string with the specified value. More...
| PropgridPropertyDescriptor ()
| Empty constructor creating an empty property to be displayed.
virtual | ~PropgridPropertyDescriptor ()
| Destructor.
PropgridPropertyDescriptor & | SetValue (std::string value)
| Change the value displayed in the property grid.
PropgridPropertyDescriptor & | SetType (std::string type_)
| Change the type of the value displayed in the property grid. More...
PropgridPropertyDescriptor & | AddExtraInfo (const std::string &info)
| Add an information about the property. More...
const std::string & | GetValue () const
const std::string & | GetType () const
const std::vector< std::string > & | GetExtraInfo () const

## Detailed Description

Used to describe a property shown in a property grid.

See Also
  gd::InitialInstancesPropgridHelper
  gd::ObjectsPropgridHelper
  gd::Object

## Constructor & Destructor Documentation

gd::PropgridPropertyDescriptor::PropgridPropertyDescriptor | ( | std::string | propertyValue) |  |

inline

Create a property being a simple string with the specified value.

Parameters

  propertyValue | The value of the property.

## Member Function Documentation

PropgridPropertyDescriptor& gd::PropgridPropertyDescriptor::AddExtraInfo | ( | const std::string & | info) |  |

inline

Add an information about the property.

Note
  The information are arbitrary and are interpreted by the class updating the property grid: Refer to it or to the documentation of the class which is returning the PropgridPropertyDescriptor to learn more about valid values for the extra information.

PropgridPropertyDescriptor& gd::PropgridPropertyDescriptor::SetType | ( | std::string | type_) |  |

inline

Change the type of the value displayed in the property grid.

Note
  The type is arbitrary and is interpreted by the class updating the property grid: Refer to it or to the documentation of the class which is returning the PropgridPropertyDescriptor to learn more about valid values for the type.

The documentation for this class was generated from the following files:

- PropgridPropertyDescriptor.h
- PropgridPropertyDescriptor.cpp